.\" miscellanous -------------------------------------------------------------
.\"
.ds Q ""
.ds U ""
.ds - --
.\"
.\" date and time ------------------------------------------------------------
.\"
.\" DW day-of-week:
.if "\n(dw"1"  .ds DW "Sun
.if "\n(dw"2"  .ds DW "Mon
.if "\n(dw"3"  .ds DW "Tue
.if "\n(dw"4"  .ds DW "Wed
.if "\n(dw"5"  .ds DW "Thu
.if "\n(dw"6"  .ds DW "Fri
.if "\n(dw"7"  .ds DW "Sat
.\" MO month:
.if "\n(mo"1"  .ds MO "January
.if "\n(mo"2"  .ds MO "February
.if "\n(mo"3"  .ds MO "March
.if "\n(mo"4"  .ds MO "April
.if "\n(mo"5"  .ds MO "May
.if "\n(mo"6"  .ds MO "June
.if "\n(mo"7"  .ds MO "July
.if "\n(mo"8"  .ds MO "August
.if "\n(mo"9"  .ds MO "September
.if "\n(mo"10" .ds MO "October
.if "\n(mo"11" .ds MO "November
.if "\n(mo"12" .ds MO "December
.\" make some composites:
.ds Dy "\*(MO \n(dy
.ds Da "\n(hh:\n(mm:\n(ss \n(mo/\n(dy/\n(yr
.ds Yr "19\n(yr
.ds dY "\*(Dy, \*(Yr
.ds DY "\n(dy \*(MO \*(Yr
.ds TM "\n(hh:\n(mm:\n(ss
.ds DA "\*(TM \*(DY
.ds CT "\*(DW \*(Dy \*(TM 19\n(yr
.\"
.\" they look like this:
.\"
.\"	DW	Sun
.\"	MO	March
.\" 	Dy	March 4
.\" 	dY	March 4, 1990
.\" 	DY	4 March 1990       <--- "normal" nroff form
.\"	Yr	1990
.\" 	TM	16:34:00
.\" 	DA	16:34:00 March 4, 1990
.\"	Da	16:34:00 2/4/90
.\" 	CT	Sun March 4 16:34:00 1990	almost like ctime(2)
.\"
.\" default values -----------------------------------------------------------
.ds LL 6.0i
.nr PS 10
.ds VS 12p
.ds CH "\- \\n% \-
.ds CF "\*(DY
.\" internal macros and traps ------------------------------------------------
.\" header of a page
.de }H
.tl |\fR\s10\&\\*(LH|\\*(CH|\\*(RH\s0\&\fP|
'sp 0.25i
..
.\" footer of the page
.de }F
'sp |-0.75i
.if o .tl |\fR\s10\&\\*(LF|\\*(CF|\\*(RF\s0\&\fP|
.if e .tl |\fR\s10\&\\*(RF|\\*(CF|\\*(LF\s0\&\fP|
..
.\" new page
.de }P
.}F
'bp
.}H
..
.\" public macros ------------------------------------------------------------
.\" default tabs
.de DT
.ta 0.5i 1i 1.5i 2i 2.5i 3i 3.5i 4i 4.5i 5i 5.5i 6i
..
.\" startup stuff...
.\"
.DT
.wh -1i }P
.em }F
.\"
.\" these are for NH numbering (up to 5 levels, a la sun, X holds level)
.nr A 0 1
.\"af A 1
.nr B 0 1
.\"af B 1
.nr C 0 1
.\"af C 1
.nr D 0 1
.\"af D 1
.nr E 0 1
.\"af E 1
.nr X 1
.\"
.\" **************************************************************************
.\"
.\" MACROS...
.\"
.\" ---------------------------------------------------------------------- TL
.\" title for document (optional)
.\"
.de TL
.sp 4
.ps 18
.vs 24p
.ce 1000
..
.\" ---------------------------------------------------------------------- AU
.\" author(s) (optional, requires .TL)
.\"
.de AU
.vs 12p
.sp
.ps \\n(PS
.ft I
..
.\" ---------------------------------------------------------------------- AI
.\" author's institution (optional, requires .TL)
.\"
.de AI
.sp 1
.ft R
.ps \\n(PS
..
.\" ---------------------------------------------------------------------- AB
.\" abstract (optional, requires .TL, .AE)
.\"
.de AB
.ft I
.ps \\n(PS
.br
.sp 2
.\" check for arg to AB. can be "no" or something like "SUMMARY". if "no",
.\" no title above the abstract
.if !"\$1"no" .if "\$1"" ABSTRACT
.if !"\$1"no" .if !"\$1"" \$1
.if "\$1"no" .sp 1
.\" set new line length...
.ce 0
.sp
.ft R
.in +1i
.rm -1i
..
.\" ---------------------------------------------------------------------- AE
.\" abstract end (optional, requires .TL)
.\"
.de AE
.br
.sp 1
.ce 0
.in
.rm
..
.\" ----------------------------------------------------------------------- BP
.\" break page, but do traps for headers, footers etc.
.de BP
.sp |-1i
..
.\" ----------------------------------------------------------------------- SH
.\" section heading, no number (optional)
.\"
.de SH
.\" I want more space than .LP causes
.LP
.sp 0.25v
.ne 2
..
.\" ---------------------------------------------------------------------- NH
.\" numbered section heading. arg (required) is the section level.
.\"
.de NH
.\" do everything from SH...
.SH
.ne 3
.\" if ".NH 0", reset numbering
.if "\$1"0" .nr A 0 1
.if "\$1"0" .nr B 0 1
.if "\$1"0" .nr C 0 1
.if "\$1"0" .nr D 0 1
.if "\$1"0" .nr E 0 1
.if "\$1"0" .nr X 1
.\" level 1
.if "\$1"1" .nr A +1
.if "\$1"1" .nr B 0 1
.if "\$1"1" .nr C 0 1
.if "\$1"1" .nr D 0 1
.if "\$1"1" .nr E 0 1
.if "\$1"1" .nr X 1
.\" level 2 (increment B, reset lower levels):
.if "\$1"2" .nr B +1
.if "\$1"2" .nr C 0 1
.if "\$1"2" .nr D 0 1
.if "\$1"2" .nr E 0 1
.if "\$1"2" .nr X 2
.\" level 3 (increment C, reset lower levels):
.if "\$1"3" .nr C +1
.if "\$1"3" .nr D 0 1
.if "\$1"3" .nr E 0 1
.if "\$1"3" .nr X 3
.\" level 4 (increment D, reset lower levels):
.if "\$1"4" .nr D +1
.if "\$1"4" .nr E 0 1
.if "\$1"4" .nr X 4
.\" level 5 (increment E, no more lower levels!):
.if "\$1"5" .nr E +1
.if "\$1"5" .nr X 5
.\" print out the section number now, depending on current level...
.if "\\nX"1" \s14\&\\nA.
.if "\\nX"2" \s13\&\\nA.\\nB.
.if "\\nX"3" \s12\&\\nA.\\nB.\\nC.
.if "\\nX"4" \s12\&\\nA.\\nB.\\nC.\\nD.
.if "\\nX"5" \s12\&\\nA.\\nB.\\nC.\\nD.\\nE.
.\" section title goes here...
..
.\" ----------------------------------------------------------------------- LP
.\" start a new left block paragraph
.\"
.de LP
.ce 0
.in 0.0i
.sp 0.75v
.ps \\n(PS
.vs \\*(VS
.ll \\*(LL
.rm \\*(LL
..
.\" ----------------------------------------------------------------------- PP
.\" start a new indented paragraph
.\"
.de PP
.LP
.ti +0.5i
..
.\" ----------------------------------------------------------------------- QP
.\" start a new quoted paragraph (indented and shorter)
.\"
.de QP
.LP
.rm -0.5i
.in +0.5i
..
.\" ----------------------------------------------------------------------- IP
.\" indented paragraph with tag (relative)
.\"
.de IP
.LP
.mk
\&\\$1
.br
.rt
.if "\\$2"" .in 0.5i
.if !"\\$2"" .in \\$2
..
.\" ----------------------------------------------------------------------- RS
.\" start relative indent (requires .RE)
.\"
.de RS
.ce 0
.br
.\" if there is arg, use that as indent, otherwise use +5
.if \\n(.$>0 .in +$1
.if \\n(.$=0 .in +0.5i
..
.\" ----------------------------------------------------------------------- RE
.\" end relative indent
.\"
.de RE
.ce 0
.br
.\" if there is arg, use that as unindent, otherwise use -5
.if \\n(.$>0 .in -$1
.if \\n(.$=0 .in -0.5i
.if \\n(.i<5 .in 0.0i
..
.\" ----------------------------------------------------------------------- DS
.\" display start
.de DS
.sp 1
.ds DS \$1
.nf
.if "\$1"" .in +0.5i
.if "\$1"I" .in +0.5i
.if "\$1"C" .ce 1000
..
.\" ----------------------------------------------------------------------- DE
.\" display end
.de DE
.if "\\*(DS"" .in
.if "\\*(DS"I" .in
.if "\\*(DS"C" .ce 0
.fi
.sp
..
.\" ----------------------------------------------------------------------- XS
.\" table of contents start
.de XS
.di contents.ms
.sp 1i
.ps 18
.ce 1
Table of contents
.br
.sp 1i
.ps \n(PS
.tc .
.ta 5i
.in 1i
.di
..
.\" ---------------------------------------------------------------------- XC
.\" entry in table of contents
.de XC
.di contents.ms
.if "\\nX"1" \\nA. \$0\t\\n%
.if "\\nX"2" \0\0\\nA.\\nB. \$0\t\\n%
.br
.di
\$0
..
.\" ----------------------------------------------------------------------- I
.\" italic text
.\"
.de I
\&\fI
.if !"$1"" $1\fR$2
..
.\" ----------------------------------------------------------------------- B
.\" bold text
.\"
.de B
\&\fB
.if !"$1"" $1\fR$2
..
.\" ----------------------------------------------------------------------- R
.\" Roman (normal) text
.\"
.de R
\&\fR
..
